#
# spec file for package po-utils (Version 0.5)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  emacs emacs-x11 xaw3d xshared
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs emacs emacs-x11 file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xaw3d xshared

Name:         po-utils
Summary:      Free PO utilities
Version:      0.5
Release:      147
Group:        Development/Tools
Copyright:    GPL
Autoreqprov:  on
Obsoletes:    po_utils
Source:       http://www.iro.umontreal.ca/contrib/po-utils/po-utils-%{version}.tar.gz
URL:	      http://www.iro.umontreal.ca/contrib/po-utils/HTML
Patch:        po-utils-%{version}.dif
Patch1:       po-utils-suse-start.dif
BuildRoot:    /var/tmp/%{name}-root

%description
A collection of tools for handling PO files.

Authors:
--------
    Francois Pinard <pinard@iro.umontreal.ca>

SuSE series: d

%prep
%setup
%patch
%patch1 -p1

%build
CFLAGS=$RPM_OPT_FLAGS \
./configure --prefix=/usr \
            --infodir='${prefix}/share/info' \
            --mandir='${prefix}/share/man'
export LC_CTYPE=ISO-8859-1
export EMACS_UNIBYTE=1
make

%install
rm -fr $RPM_BUILD_ROOT
make install-strip DESTDIR="$RPM_BUILD_ROOT"
install -m 644 suse-start-po-mode.el \
  $RPM_BUILD_ROOT/usr/share/emacs/site-lisp/suse-start-po-mode.el

%files
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README THANKS
/usr/bin/xpot
%config /usr/share/emacs/site-lisp/suse-start-po-mode.el
# /usr/share/emacs/site-lisp/po-mode.el
# /usr/share/emacs/site-lisp/po-mode.elc

%changelog -n po-utils
* Mon Apr 09 2001 - pthomas@suse.de
- Don't install po-mode.el as gettext now provides it.
* Tue Mar 13 2001 - ro@suse.de
- added emacs-x11
* Thu Mar 08 2001 - schwab@suse.de
- Add xshared to neededforbuild.
* Fri Nov 17 2000 - ro@suse.de
- ge_exec -> emacs
* Tue Oct 24 2000 - schwab@suse.de
- Renamed from po_utils.
* Fri Mar 17 2000 - schwab@suse.de
- Add suse-start-po-mode.el.
* Tue Feb 22 2000 - schwab@suse.de
- Use BuildRoot.
- export LC_CTYPE and EMACS_UNIBYTE for Emacs.
* Fri Feb 11 2000 - schwab@suse.de
- Update to 0.5.
- Add %%doc.
* Thu Jan 27 2000 - schwab@suse.de
- Workaround for namespace pollution on AXP.
* Wed Jan 19 2000 - schwab@suse.de
- Initial version 0.4.
